> ## Documentation Index
> Fetch the complete documentation index at: https://docs.series.hr/llms.txt
> Use this file to discover all available pages before exploring further.

# Get Member

> Get detailed information for a specific member

Get comprehensive details about a workspace member including permissions, rank, and role information.

## Request

```bash theme={null}
curl -X GET https://api.series.hr/members/get-member/714760171 \
  -H "apikey: YOUR_API_KEY"
```

## Parameters

<ParamField path="userId" type="string" required>
  The Roblox user ID to get member details for
</ParamField>

## Response

<ResponseField status={200} name="200">
  ```json theme={null}
  {
    "success": true,
    "data": {
      "UserId": "714760171",
      "Permissions": {
        "Administrator": true
      },
      "CurrentRank": 254,
      "CurrentRankPermissions": {
        "PostInTheFeed": true,
        "CreateInvites": true,
        "ManageInvites": true,
        "SeeLogs": true,
        "ManageStaffActivity": true,
        "ManageSessions": true,
        "ManageTimeOff": true,
        "ManageAnnouncements": true,
        "Developer": true,
        "GameModerator": true,
        "WorkspaceModerator": true,
        "Administrator": true
      },
      "CurrentRole": "President",
      "LastRankCheck": "2025-12-26T16:04:48.433Z",
      "LastRankSync": "2025-12-11T17:53:40.549Z"
    }
  }
  ```
</ResponseField>

<ResponseField status={401} name="401">
  ```json theme={null}
  {
    "success": false,
    "error": {
      "message": "API key is required"
    }
  }
  ```
</ResponseField>

<ResponseField status={403} name="403">
  ```json theme={null}
  {
    "success": false,
    "error": {
      "message": "API key invalid or workspace suspended"
    }
  }
  ```
</ResponseField>

<ResponseField status={404} name="404">
  ```json theme={null}
  {
    "success": false,
    "error": {
      "message": "User is not a member of this workspace"
    }
  }
  ```
</ResponseField>

## Response Fields

<ResponseField name="UserId" type="string">
  The Roblox user ID
</ResponseField>

<ResponseField name="Permissions" type="object">
  Direct permissions assigned to the member
</ResponseField>

<ResponseField name="CurrentRank" type="number">
  The member's current rank number
</ResponseField>

<ResponseField name="CurrentRankPermissions" type="object">
  All permissions granted by the member's current rank, including:

  * `PostInTheFeed`: Can post in the feed
  * `CreateInvites`: Can create workspace invites
  * `ManageInvites`: Can manage invites
  * `SeeLogs`: Can view logs
  * `ManageStaffActivity`: Can manage staff activity
  * `ManageSessions`: Can manage sessions
  * `ManageTimeOff`: Can manage time off requests
  * `ManageAnnouncements`: Can manage announcements
  * `Developer`: Has developer access
  * `GameModerator`: Can moderate games
  * `WorkspaceModerator`: Can moderate workspace
  * `Administrator`: Has administrator access
</ResponseField>

<ResponseField name="CurrentRole" type="string">
  The member's current role name
</ResponseField>

<ResponseField name="LastRankCheck" type="string">
  ISO 8601 timestamp of when the member's rank was last checked
</ResponseField>

<ResponseField name="LastRankSync" type="string" optional>
  ISO 8601 timestamp of when the member's rank was last synced (if available)
</ResponseField>


## OpenAPI

````yaml GET /members/get-member/{userId}
openapi: 3.0.0
info:
  title: Series API
  version: 1.0.0
  description: >-
    Series API — a free REST API by Sailboat Games, LLC that lets Roblox
    communities programmatically manage workspaces, staff, sessions, time-off
    and activity data.
  contact:
    name: Sailboat Games, LLC.
    email: admin@sailboatgames.com
servers:
  - url: https://api.series.hr
    description: Production API
security:
  - ApiKeyAuth: []
paths:
  /members/get-member/{userId}:
    get:
      tags:
        - Members
      summary: Get Member
      description: Get detailed member information including permissions, rank, and role.
      parameters:
        - name: userId
          in: path
          required: true
          schema:
            type: string
          description: The Roblox user ID
      responses:
        '200':
          description: Member details
        '404':
          description: Member not found
components:
  securitySchemes:
    ApiKeyAuth:
      type: apiKey
      in: header
      name: apikey
      description: >-
        Pass your API key in the `apikey` header. Alternatively, the `x-api-key`
        header is also accepted.

````